curl --request GET \
--url https://{cluster}.voucherify.io/v1/customers/{customerId}/activity \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"object": "list",
"data_ref": "data",
"data": [
{
"id": "evcus_0c150c51730c6b60b1",
"type": "customer.confirmed",
"data": {
"data": {
"customer": {
"summary": {
"redemptions": {
"total_redeemed": 123,
"total_failed": 123,
"total_succeeded": 123,
"total_rolled_back": 123,
"total_rollback_failed": 123,
"total_rollback_succeeded": 123,
"gift": {
"redeemed_amount": 0,
"amount_to_go": 0
},
"loyalty_card": {
"redeemed_points": 123,
"points_to_go": 123
}
},
"orders": {
"total_amount": 123,
"total_count": 123,
"average_amount": 123,
"last_order_amount": 123,
"last_order_date": "2022-08-30T11:51:08.029Z"
}
},
"loyalty": {
"points": 123,
"referred_customers": 123,
"campaigns": {}
},
"loyalty_memberships": [
{
"program_id": "<string>",
"member": {
"id": "<string>",
"status": "ACTIVE",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"cards": [
{
"card_definition_id": "<string>",
"card_id": "<string>",
"points": 123,
"pending_points": 123,
"next_activation_at": "2023-12-25",
"next_expiration_at": "2023-12-25"
}
],
"tiers": [
{
"tier_id": "<string>",
"tier_structure_id": "<string>",
"card_id": "<string>",
"card_definition_id": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
]
}
],
"referrals": {
"total": 123,
"campaigns": [
{
"campaign_id": "camp_rRsfatlwN7unSeUIJDCYedal",
"referrer_id": "cust_sehkNIi8Uq2qQuRqSr7xn4Zi",
"related_object_id": "r_0b9d4cc4aa164dd073",
"related_object_type": "<string>",
"date": "2022-08-30T10:19:39.196Z"
}
]
},
"object": "customer",
"id": "<string>",
"source_id": "<string>",
"system_metadata": {},
"created_at": "2022-08-30T06:32:07.380Z",
"updated_at": "2022-08-31T06:32:07.380Z",
"assets": {
"cockpit_url": "<string>",
"cockpit_preference_center_url": "<string>"
},
"name": "<string>",
"description": "<string>",
"email": "<string>",
"phone": "<string>",
"birthday": "2023-12-25",
"birthdate": "2023-12-25",
"address": {
"city": "<string>",
"state": "<string>",
"line_1": "<string>",
"line_2": "<string>",
"country": "<string>",
"postal_code": "<string>"
},
"metadata": {}
},
"unconfirmed_customer": {
"id": "ucust_1qa70mVfYkl11Ab0ZxDPdWNa"
}
},
"event_source": {
"channel": "API",
"user": {
"id": "user_xyzfghSTprSTUVWXYlk6tuvXYst7FGH7"
},
"api_key": {
"name": "<string>",
"app_id": "1XXXX5XX-0XXX-XXXb-X7XX-XX2XXaXXX6XX"
}
}
},
"created_at": "2022-08-30T09:14:07.660Z",
"group_id": "v-1f36113948e50fc4ge"
}
],
"has_more": true,
"more_starting_after": "<string>"
}{
"code": 404,
"key": "not_found",
"message": "Resource not found",
"details": "Cannot find customer with id jck-wbh",
"request_id": "v-0fa4de30126b92bfb8",
"resource_id": "jck-wbh",
"resource_type": "customer"
}List Customer Activity
Retrieves activity details of a given customer by customer’s id or source_id.
curl --request GET \
--url https://{cluster}.voucherify.io/v1/customers/{customerId}/activity \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"object": "list",
"data_ref": "data",
"data": [
{
"id": "evcus_0c150c51730c6b60b1",
"type": "customer.confirmed",
"data": {
"data": {
"customer": {
"summary": {
"redemptions": {
"total_redeemed": 123,
"total_failed": 123,
"total_succeeded": 123,
"total_rolled_back": 123,
"total_rollback_failed": 123,
"total_rollback_succeeded": 123,
"gift": {
"redeemed_amount": 0,
"amount_to_go": 0
},
"loyalty_card": {
"redeemed_points": 123,
"points_to_go": 123
}
},
"orders": {
"total_amount": 123,
"total_count": 123,
"average_amount": 123,
"last_order_amount": 123,
"last_order_date": "2022-08-30T11:51:08.029Z"
}
},
"loyalty": {
"points": 123,
"referred_customers": 123,
"campaigns": {}
},
"loyalty_memberships": [
{
"program_id": "<string>",
"member": {
"id": "<string>",
"status": "ACTIVE",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"cards": [
{
"card_definition_id": "<string>",
"card_id": "<string>",
"points": 123,
"pending_points": 123,
"next_activation_at": "2023-12-25",
"next_expiration_at": "2023-12-25"
}
],
"tiers": [
{
"tier_id": "<string>",
"tier_structure_id": "<string>",
"card_id": "<string>",
"card_definition_id": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
]
}
],
"referrals": {
"total": 123,
"campaigns": [
{
"campaign_id": "camp_rRsfatlwN7unSeUIJDCYedal",
"referrer_id": "cust_sehkNIi8Uq2qQuRqSr7xn4Zi",
"related_object_id": "r_0b9d4cc4aa164dd073",
"related_object_type": "<string>",
"date": "2022-08-30T10:19:39.196Z"
}
]
},
"object": "customer",
"id": "<string>",
"source_id": "<string>",
"system_metadata": {},
"created_at": "2022-08-30T06:32:07.380Z",
"updated_at": "2022-08-31T06:32:07.380Z",
"assets": {
"cockpit_url": "<string>",
"cockpit_preference_center_url": "<string>"
},
"name": "<string>",
"description": "<string>",
"email": "<string>",
"phone": "<string>",
"birthday": "2023-12-25",
"birthdate": "2023-12-25",
"address": {
"city": "<string>",
"state": "<string>",
"line_1": "<string>",
"line_2": "<string>",
"country": "<string>",
"postal_code": "<string>"
},
"metadata": {}
},
"unconfirmed_customer": {
"id": "ucust_1qa70mVfYkl11Ab0ZxDPdWNa"
}
},
"event_source": {
"channel": "API",
"user": {
"id": "user_xyzfghSTprSTUVWXYlk6tuvXYst7FGH7"
},
"api_key": {
"name": "<string>",
"app_id": "1XXXX5XX-0XXX-XXXb-X7XX-XX2XXaXXX6XX"
}
}
},
"created_at": "2022-08-30T09:14:07.660Z",
"group_id": "v-1f36113948e50fc4ge"
}
],
"has_more": true,
"more_starting_after": "<string>"
}{
"code": 404,
"key": "not_found",
"message": "Resource not found",
"details": "Cannot find customer with id jck-wbh",
"request_id": "v-0fa4de30126b92bfb8",
"resource_id": "jck-wbh",
"resource_type": "customer"
}Authorizations
Scopes
Path Parameters
Query Parameters
Filters related customer's activity for the selected campaign types. Allowed values:
DISCOUNT_COUPONS,
REFERRAL_PROGRAM,
GIFT_VOUCHERS,
PROMOTION,
LOYALTY_PROGRAM. LOYALTY_PROGRAM is the campaign type for legacy loyalty (loyalty card campaigns), not v2/loyalties programs.
PROMOTION, GIFT_VOUCHERS, REFERRAL_PROGRAM, DISCOUNT_COUPONS, LOYALTY_PROGRAM Event name of the customer event.
customer.confirmed, customer.created, customer.updated, customer.deleted, customer.referred, customer.custom_event, customer.segment.entered, customer.segment.left, customer.sms.sent, customer.sms.recovered, customer.sms.failed, customer.email.sent, customer.email.recovered, customer.email.failed, customer.activecampaign.sent, customer.activecampaign.recovered, customer.activecampaign.failed, customer.braze.sent, customer.braze.recovered, customer.braze.failed, customer.mailchimp.sent, customer.mailchimp.recovered, customer.mailchimp.failed, customer.intercom.sent, customer.intercom.recovered, customer.intercom.failed, customer.shopify.sent, customer.shopify.recovered, customer.shopify.failed, customer.klaviyo.sent, customer.klaviyo.recovered, customer.klaviyo.failed, customer.batch.sent, customer.batch.recovered, customer.batch.failed, customer.rewarded, customer.rewarded.loyalty_points, customer.voucher.gift.balance_added, customer.voucher.loyalty_card.points_added, customer.voucher.loyalty_card.points_transferred, customer.voucher.loyalty_card.points_expired, customer.voucher.deleted, customer.publication.succeeded, customer.publication.failed, customer.validation.succeeded, customer.validation.failed, customer.redemption.failed, customer.redemption.succeeded, customer.redemption.rollback.failed, customer.redemption.rollback.succeeded, customer.order.canceled, customer.order.created, customer.order.fulfilled, customer.order.paid, customer.order.processing, customer.order.updated, customer.reward_redemptions.created, customer.reward_redemptions.pending, customer.reward_redemptions.completed, customer.reward_redemptions.rolledback, customer.loyalty.updated, customer.loyalty.tier.upgraded, customer.loyalty.tier.downgraded, customer.loyalty.tier.prolonged, customer.loyalty.tier.expiration.changed, customer.loyalty.tier.joined, customer.loyalty.tier.left Response
Returns a dictionary with customer activities.
Response body schema for GET v1/customers/{customerId}/activity.
As query results are always limited (by the limit parameter), the has_more flag indicates if there are more records for given filter parameters. This lets you know if you can run another request with a starting_after_id query or a different limit to get more records returned in the results.

